Bug 215314 - net/dhcpcd: update to 6.11.5
Summary: net/dhcpcd: update to 6.11.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-15 07:12 UTC by takefu
Modified: 2016-12-26 13:56 UTC (History)
1 user (show)

See Also:
roy: maintainer-feedback+


Attachments
dhcpcd-6.11.5.patch (967 bytes, patch)
2016-12-15 07:12 UTC, takefu
no flags Details | Diff
Improved patch (1.31 KB, patch)
2016-12-22 16:52 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2016-12-15 07:12:24 UTC
Created attachment 177980 [details]
dhcpcd-6.11.5.patch
Comment 1 Dmitry Marakasov freebsd_committer 2016-12-15 10:17:31 UTC
Awaiting maintainer feedback. While here, I suggest to add new ftp master site after http one. This ftp hangs in PASV at least for me.
Comment 2 roy 2016-12-15 10:29:02 UTC
As maintainer and owner of said FTP I agree with the above.
I have no idea why PASV fails for some people, it seems to work fine for me.

Flip it around as suggested and I'll give this a +
Comment 3 Dmitry Marakasov freebsd_committer 2016-12-22 16:52:15 UTC
Created attachment 178204 [details]
Improved patch

To speed things up, here's an improved patch with some additional cosmetic fixes.
Comment 4 Dmitry Marakasov freebsd_committer 2016-12-25 17:43:22 UTC
Roy, does the patch look good?
Comment 5 roy 2016-12-26 12:35:14 UTC
Yes
Comment 6 commit-hook freebsd_committer 2016-12-26 13:56:51 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Dec 26 13:55:57 UTC 2016
New revision: 429517
URL: https://svnweb.freebsd.org/changeset/ports/429517

Log:
  - Update to 6.11.5
  - Add ftp mirror
  - Cosmetic fixes

  PR:		215314
  Submitted by:	takefu@airport.fm
  Approved by:	roy@marples.name (maintainer)

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/distinfo